Bug 89395 - Add Nyanja [ny-MW] locale data (was: Please add new language Chichewa)
Summary: Add Nyanja [ny-MW] locale data (was: Please add new language Chichewa)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-15 16:18 UTC by Leif Lodahl
Modified: 2015-06-01 16:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leif Lodahl 2015-02-15 16:18:33 UTC
Some volounteers are preparing a new spellchecker for Chichewa language. To register it in LibreOffice we need to get the language registered in the source code.

ISO 639-1: ny_MW
ISO 639-3: nya_MW

Language name: Chichewa
Locale: Malawi

Sources:
http://www.ethnologue.com/language/nya
http://www-01.sil.org/iso639-3/documentation.asp?id=nya
Comment 1 Benjamin Bach 2015-02-15 16:34:39 UTC
To make matters easier, the details for the locale have already been provided in the LocaleGen project:

http://www.it46.se/localegen/locale/1143564298_ny_MW.xml
Comment 2 Robinson Tryon (qubit) 2015-02-19 00:27:01 UTC
(In reply to Leif Lodahl from comment #0)
> Some volounteers are preparing a new spellchecker for Chichewa language. To
> register it in LibreOffice we need to get the language registered in the
> source code.

Sounds plausible.

Status -> NEW

(Perhaps sophie can help here)
Comment 3 sophie 2015-04-28 14:31:07 UTC
The only thing I can do is annoying Eike with it ;) Eike, do you think it could be added to 5.0? thanks- Sophie
Comment 4 Eike Rathke 2015-04-28 19:58:05 UTC
Before Sophie chases me around I'll add it ;-)

Leif, just a note, nowadays it shouldn't be necessary any more to add a language just for spell-checking purposes, the language tag ny or ny-MW could be entered in the language combobox' edit field to attribute the text.
Comment 5 Eike Rathke 2015-04-29 14:40:34 UTC
As usual, see
https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/How_To_Submit_New_Locale_Data#Pitfalls

when test-compiling the locale data I got

Warning: QuotationStart may be wrong: U+201C “
Warning: QuotationEnd may be wrong: U+201D ”
Warning: DoubleQuotationStart may be wrong: U+2018 ‘
Warning: DoubleQuotationEnd may be wrong: U+2019 ’
Warning: FormatCode formatindex="12" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.

I'll fix those up to what I think is correct, swapping quotation marks
and prepending a minus sign to negative currency amounts instead of
parentheses.
Comment 6 Eike Rathke 2015-04-29 15:03:23 UTC
Note that ny-MW was already present in the language list, just not under the name Chichewa but under Nyanja instead, which is also the ISO 639 name.
Comment 7 Commit Notification 2015-04-29 15:26:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=059280acb565b5ef7b6ac1890f2f3d61a9ebdb05

tdf#89395 add Nyanja [ny-MW] locale data

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Benjamin Bach 2015-05-26 17:34:35 UTC
Eike, thanks so much for this!! Will start work on dictionaries and spellcheckers, and hopefully this can coincide with the LO 5.0 release.

I looked for Nyanje in 4.2.8.2 but without luck, I'm pretty sure it isn't there as other people have been looking for it, too. Maybe it's something you can find in 5.0 ?

Anyways, thanks again, big smiles!

Ben
Comment 9 Eike Rathke 2015-06-01 16:00:02 UTC
Note that the "default document language" list (for which locale data must exist) is a subset of all predefined languages available for character attribution (which is sufficient to be used with spell-checkers). Nyanje was already available for character attribution in 4.2.8